EZCart Docs
Api

Store Customer Auth_reset Password

Reset password using a token (from email link) or OTP (from phone). On success, returns authentication tokens so the customer is logged in immediately.

POST
/v1/store/auth/reset-password

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/v1/store/auth/reset-password" \  -H "Content-Type: application/json" \  -d '{    "newPassword": "stringst"  }'
{
  "customerId": "string",
  "tokens": {
    "accessToken": "string",
    "expiresIn": 0,
    "refreshToken": "string"
  }
}